body, h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {
    font-family: 'Roboto', sans-serif;
}

a {
    color: #bf151c;
}

a:hover {
    color: #920c0d;
    text-decoration: underline;
}

.w-100 {
    width: 100%;
}

.m-0 {
    margin: 0 !important
}

.m-1 {
    margin: .25rem !important
}

.m-2 {
    margin: .5rem !important
}

.m-3 {
    margin: 1rem !important
}

.m-4 {
    margin: 1.5rem !important
}

.m-5 {
    margin: 3rem !important
}

.m-auto {
    margin: auto !important
}

.mx-0 {
    margin-right: 0 !important;
    margin-left: 0 !important
}

.mx-1 {
    margin-right: .25rem !important;
    margin-left: .25rem !important
}

.mx-2 {
    margin-right: .5rem !important;
    margin-left: .5rem !important
}

.mx-3 {
    margin-right: 1rem !important;
    margin-left: 1rem !important
}

.mx-4 {
    margin-right: 1.5rem !important;
    margin-left: 1.5rem !important
}

.mx-5 {
    margin-right: 3rem !important;
    margin-left: 3rem !important
}

.mx-auto {
    margin-right: auto !important;
    margin-left: auto !important
}

.my-0 {
    margin-top: 0 !important;
    margin-bottom: 0 !important
}

.my-1 {
    margin-top: .25rem !important;
    margin-bottom: .25rem !important
}

.my-2 {
    margin-top: .5rem !important;
    margin-bottom: .5rem !important
}

.my-3 {
    margin-top: 1rem !important;
    margin-bottom: 1rem !important
}

.my-4 {
    margin-top: 1.5rem !important;
    margin-bottom: 1.5rem !important
}

.my-5 {
    margin-top: 3rem !important;
    margin-bottom: 3rem !important
}

.my-auto {
    margin-top: auto !important;
    margin-bottom: auto !important
}

.mt-0 {
    margin-top: 0 !important
}

.mt-1 {
    margin-top: .25rem !important
}

.mt-2 {
    margin-top: .5rem !important
}

.mt-3 {
    margin-top: 1rem !important
}

.mt-4 {
    margin-top: 1.5rem !important
}

.mt-5 {
    margin-top: 3rem !important
}

.mt-auto {
    margin-top: auto !important
}

.me-0 {
    margin-right: 0 !important
}

.me-1 {
    margin-right: .25rem !important
}

.me-2 {
    margin-right: .5rem !important
}

.me-3 {
    margin-right: 1rem !important
}

.me-4 {
    margin-right: 1.5rem !important
}

.me-5 {
    margin-right: 3rem !important
}

.me-auto {
    margin-right: auto !important
}

.mb-0 {
    margin-bottom: 0 !important
}

.mb-1 {
    margin-bottom: .25rem !important
}

.mb-2 {
    margin-bottom: .5rem !important
}

.mb-3 {
    margin-bottom: 1rem !important
}

.mb-4 {
    margin-bottom: 1.5rem !important
}

.mb-5 {
    margin-bottom: 3rem !important
}

.mb-auto {
    margin-bottom: auto !important
}

.ms-0 {
    margin-left: 0 !important
}

.ms-1 {
    margin-left: .25rem !important
}

.ms-2 {
    margin-left: .5rem !important
}

.ms-3 {
    margin-left: 1rem !important
}

.ms-4 {
    margin-left: 1.5rem !important
}

.ms-5 {
    margin-left: 3rem !important
}

.ms-auto {
    margin-left: auto !important
}

.p-0 {
    padding: 0 !important
}

.p-1 {
    padding: .25rem !important
}

.p-2 {
    padding: .5rem !important
}

.p-3 {
    padding: 1rem !important
}

.p-4 {
    padding: 1.5rem !important
}

.p-5 {
    padding: 3rem !important
}

.px-0 {
    padding-right: 0 !important;
    padding-left: 0 !important
}

.px-1 {
    padding-right: .25rem !important;
    padding-left: .25rem !important
}

.px-2 {
    padding-right: .5rem !important;
    padding-left: .5rem !important
}

.px-3 {
    padding-right: 1rem !important;
    padding-left: 1rem !important
}

.px-4 {
    padding-right: 1.5rem !important;
    padding-left: 1.5rem !important
}

.px-5 {
    padding-right: 3rem !important;
    padding-left: 3rem !important
}

.py-0 {
    padding-top: 0 !important;
    padding-bottom: 0 !important
}

.py-1 {
    padding-top: .25rem !important;
    padding-bottom: .25rem !important
}

.py-2 {
    padding-top: .5rem !important;
    padding-bottom: .5rem !important
}

.py-3 {
    padding-top: 1rem !important;
    padding-bottom: 1rem !important
}

.py-4 {
    padding-top: 1.5rem !important;
    padding-bottom: 1.5rem !important
}

.py-5 {
    padding-top: 3rem !important;
    padding-bottom: 3rem !important
}

.pt-0 {
    padding-top: 0 !important
}

.pt-1 {
    padding-top: .25rem !important
}

.pt-2 {
    padding-top: .5rem !important
}

.pt-3 {
    padding-top: 1rem !important
}

.pt-4 {
    padding-top: 1.5rem !important
}

.pt-5 {
    padding-top: 3rem !important
}

.pe-0 {
    padding-right: 0 !important
}

.pe-1 {
    padding-right: .25rem !important
}

.pe-2 {
    padding-right: .5rem !important
}

.pe-3 {
    padding-right: 1rem !important
}

.pe-4 {
    padding-right: 1.5rem !important
}

.pe-5 {
    padding-right: 3rem !important
}

.pb-0 {
    padding-bottom: 0 !important
}

.pb-1 {
    padding-bottom: .25rem !important
}

.pb-2 {
    padding-bottom: .5rem !important
}

.pb-3 {
    padding-bottom: 1rem !important
}

.pb-4 {
    padding-bottom: 1.5rem !important
}

.pb-5 {
    padding-bottom: 3rem !important
}

.ps-0 {
    padding-left: 0 !important
}

.ps-1 {
    padding-left: .25rem !important
}

.ps-2 {
    padding-left: .5rem !important
}

.ps-3 {
    padding-left: 1rem !important
}

.ps-4 {
    padding-left: 1.5rem !important
}

.ps-5 {
    padding-left: 3rem !important
}

.btn {
    font-weight: 400;
    border-radius: 3px;
    padding: 0.75rem 1rem;
    font-size: 16px;
    letter-spacing: .10rem;
}

.btn-primary {
    color: #fff;
    background-color: #ed1d24;
    border-color: #ed1d24;
}
.btn-primary:focus,
.btn-primary.focus {
    color: #fff;
    background-color: #c4161c;
    border-color: #c4161c;
}
.btn-primary:hover {
    color: #fff;
    background-color: #c4161c;
    border-color: #940005;
}
.btn-primary:active,
.btn-primary.active,
.open > .dropdown-toggle.btn-primary {
    color: #fff;
    background-color: #c4161c;
    border-color: #940005;
}
.btn-primary:active:hover,
.btn-primary.active:hover,
.open > .dropdown-toggle.btn-primary:hover,
.btn-primary:active:focus,
.btn-primary.active:focus,
.open > .dropdown-toggle.btn-primary:focus,
.btn-primary:active.focus,
.btn-primary.active.focus,
.open > .dropdown-toggle.btn-primary.focus {
    color: #fff;
    background-color: #940005;
    border-color: #c4161c;
}
.btn-primary:active,
.btn-primary.active,
.open > .dropdown-toggle.btn-primary {
    background-image: none;
}
.btn-primary.disabled:hover,
.btn-primary[disabled]:hover,
fieldset[disabled] .btn-primary:hover,
.btn-primary.disabled:focus,
.btn-primary[disabled]:focus,
fieldset[disabled] .btn-primary:focus,
.btn-primary.disabled.focus,
.btn-primary[disabled].focus,
fieldset[disabled] .btn-primary.focus {
    background-color: #ed1d24;
    border-color: #ed1d24;
}
.btn-primary .badge {
    color: #ed1d24;
    background-color: #fff;
}

.label-primary {
    background-color: #ed1d24;
}
.label-primary[href]:hover,
.label-primary[href]:focus {
    background-color: #c4161c;
}

.panel-primary {
    border-color: #ed1d24;
}
.panel-primary > .panel-heading {
    color: #fff;
    background-color: #ed1d24;
    border-color: #ed1d24;
}
.panel-primary > .panel-heading + .panel-collapse > .panel-body {
    border-top-color: #ed1d24;
}
.panel-primary > .panel-heading .badge {
    color: #ed1d24;
    background-color: #fff;
}
.panel-primary > .panel-footer + .panel-collapse > .panel-body {
    border-bottom-color: #ed1d24;
}

.text-primary {
    color: #ed1d24;
}
a.text-primary:hover,
a.text-primary:focus {
    color: #c4161c;
}

.bg-primary {
    color: #fff;
    background-color: #ed1d24;
}
a.bg-primary:hover,
a.bg-primary:focus {
    background-color: #c4161c;
}

/* Login */
.login-page {
    background: url("../../../assets/images/login-bg.jpg") no-repeat fixed center center / cover;
}

.captcha {
    overflow: hidden;
    padding: 0 !important;
    border-radius: 0 4px 4px 0 !important;
}

.login-page:after {
    position: fixed;
    top: 0;
    left: 0;
    content: '';
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.9);
    z-index: -1;
}

.login-box-body {
    background: #fff;
    padding: 20px;
    border-top: 0;
    color: #666;
    border-radius: 10px;
    min-width: 350px;
    box-shadow: 0 2px 20px #3333339c;
}

.login-box, .register-box {
    max-width: 374px;
    width: 100%;
    margin: 0 auto;
    padding: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
}

/* /-Login */

.captcha {
    overflow: hidden;
    padding: 0 !important;
    border-radius: 0 4px 4px 0 !important;
}

.content-wrapper {
    background-color: #e6e7e8;
}

.skin-red .main-header .navbar .nav > li > a {
    padding-top: 22px;
    padding-bottom: 22px;
}

.main-header .logo {
    background-color: #ffffff;
    color: #1a2226;
    border-bottom: 0 solid transparent;
    margin: 8px 0;
}

.main-header .navbar {
    min-height: 66px
}

.main-sidebar,
.fixed .content-wrapper,
.fixed .right-side {
    padding-top: 66px
}

.main-sidebar,
.main-header .logo {
    width: 260px;
}

.sidebar-mini.sidebar-collapse .main-header .logo {
    padding-left: 7px;
}
.sidebar-mini.sidebar-collapse .main-header .logo img {
    height: 36px;
}

.main-header .sidebar-toggle {
    padding: 23px 15px;
}

.content-wrapper, .main-footer {
    margin-left: 260px;
}

.sidebar-menu > li > a {
    padding: 0 15px;
    line-height: 46px;
    display: block;
    font-size: 16px;
    font-weight: 400;
}

.fixed .main-header {
    background-color: #ffffff;
}

.treeview-menu > li > a {
    font-size: 16px;
    font-weight: 100;
}

.treeview-menu > li > a:hover {
    background-color: rgba(255,255,255,.02);
}

.sidebar-menu > li > a > .fa,
.sidebar-menu > li > a > .glyphicon,
.sidebar-menu > li > a > .ion {
    margin-right: 15px;
}

.sidebar-menu > li > .treeview-menu {
    margin: 0;
}

.small-box .icon {
    transition: all .3s linear;
    position: absolute;
    top: 0;
    right: 10px;
    z-index: 0;
    font-size: 34px;
    color: rgba(0, 0, 0, 0.15);
}

.small-box:hover .icon {
    font-size: 30px;
}

.dropdown-submenu {
    position: relative;
}

.dropdown-submenu > .dropdown-menu {
    top: 0;
    left: 100%;
    margin-top: -6px;
    margin-left: -1px;
    border-radius: 0 6px 6px 6px;
}

.dropdown-submenu:hover > .dropdown-menu {
    display: block;
}

.dropdown-submenu > a:after {
    content: " ";
    float: right;
    width: 0;
    height: 0;
    border-color: transparent;
    border-style: solid;
    border-width: 5px 0 5px 5px;
    border-left-color: #ccc;
    margin-top: 5px;
    margin-right: 10px;
}

.dropdown-submenu:hover > a:after {
    border-left-color: #fff;
}

.dropdown-submenu.pull-left {
    float: none;
}

.dropdown-submenu.pull-left > .dropdown-menu {
    left: -100%;
    margin-left: 10px;
    border-radius: 6px 0 6px 6px;
}

.box-header .box-title {
    font-size: 18px;
    text-transform: uppercase;
    font-weight: 400
}

.help-inline {
    color: red;
}

tr.added_row td input {
    margin-top: 10px;
}

ul.sidebar-menu .dropdown-menu {

    background-color: #840f12;
    border: none;
    border-radius: 0;
    padding: 0;
}

ul.sidebar-menu .dropdown-menu > li > a {
    padding: 5px 20px;
}

ul.sidebar-menu .dropdown-menu > li > a:hover {
    background-color: #781013;
    color: #fff;
}

.content-header > h1 {
    text-transform: uppercase;
    font-weight: 500;
    margin-bottom: 10px;
    color: #231f20;
    font-size: 26px;
}


/* Toast */
@media only screen and (max-width: 1430px) and (min-width: 1200px) {
    .box-min-height {
        min-height: 215px;
    }
}

[data-tip] {
    position: relative;

}

[data-tip]:before {
    content: '';
    /* hides the tooltip when not hovered */
    display: none;
    content: '';
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-bottom: 5px solid #1a1a1a;
    position: absolute;
    top: 30px;
    left: 35px;
    z-index: 8;
    font-size: 0;
    line-height: 0;
    width: 0;
    height: 0;
}

[data-tip]:after {
    display: none;
    content: attr(data-tip);
    position: absolute;
    top: 350px;
    left: 0px;
    padding: 3px 3px;
    background: #1a1a1a;
    color: #fff;
    z-index: 9;
    font-size: 0.75em;
    height: 18px;
    line-height: 18px;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    white-space: nowrap;
    word-wrap: normal;
}

[data-tip]:hover:before,
[data-tip]:hover:after {
    display: block;
}

#toast {
    visibility: hidden;
    max-width: 70px;
    height: 60px;
    /*margin-left: -125px;*/
    margin: auto;
    background-color: #28a745 !important;;
    color: #fff;
    text-align: center;
    border-radius: 2px;
    position: fixed;
    z-index: 50;
    left: 70%;
    right: 0;
    bottom: 30px;
    font-size: 17px;
    white-space: nowrap;
}

#toast #img {
    width: 60px;
    height: 60px;
    float: left;
    padding-top: 16px;
    padding-bottom: 16px;
    box-sizing: border-box;
    background-color: #1ebb42;
    color: #fff;
}

#toast #desc {
    color: #fff;
    padding: 16px;
    overflow: hidden;
    white-space: nowrap;
}

#toast.show {
    visibility: visible;
    -webkit-animation: fadein 0.5s, expand 0.5s 0.5s, stay 3s 1s, shrink 0.5s 2s, fadeout 0.5s 2.5s;
    animation: fadein 0.5s, expand 0.5s 0.5s, stay 3s 1s, shrink 0.5s 4s, fadeout 0.5s 4.5s;
}
/* /-Toast */

.box {
    border: 0;
}

.navbar-nav>.user-menu>.dropdown-menu>li.user-header>p {
    color: #444;
}

.select2-container .select2-selection--single {
    height: 34px;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 32px;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 29px;
}